Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Fehler beim Programm beenden!

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Fehler beim Programm beenden! (873 mal gelesen)
vision
Mitglied



Sehen Sie sich das Profil von vision an!   Senden Sie eine Private Message an vision  Schreiben Sie einen Gästebucheintrag für vision

Beiträge: 112
Registriert: 27.10.2003

AutoCAD 2015
Expresstools
Windows 10

erstellt am: 31. Mrz. 2015 09:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
wenn ich das Programm mit der rechten Maustaste beende, kommt folgende Fehlermeldung:
"Fehler: Fehlerhafter Argumenttyp: lentityp nil"

Das LISP soll in einer Schleife so lange die angewählten Blöcke spiegeln, bis mit z. B. rechter Maustaste beendet wird.

Für Eure Unterstützung bedanke ich mich im Voraus.

------------------------------
(DEFUN c: block_sp ( / ele dx )
  (princ "\n Block zum spiegeln waehlen: ")
  (while
    (SETQ ele (ENTGET (CAR (ENTSEL))))
    (SETQ dx (* (CDR(ASSOC 41 ele)) -1)
      ele (subst (cons 41 dx) (assoc 41 ele) ele)
    )
  (entmod ele)
  )
)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 31. Mrz. 2015 10:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für vision 10 Unities + Antwort hilfreich

ENTGET erwartet einen Elemntnamen und NICHTS anderes, wenn du jedoch mit der RMT die Objektwahl abbrichst, so übergibst du "nichts"=nil an ENTGET und dementsprechend kommt die Meldung das kein Entityname übergeben wurde.

(DEFUN c:block_sp ( / ele dx )
  (princ "\n Block zum spiegeln waehlen: ")
  (while
    (if (SETQ ele (CAR (ENTSEL)))
        (SETQ ele (ENTGET ele)
              dx  (* (CDR(ASSOC 41 ele)) -1)
              ele (subst (cons 41 dx) (assoc 41 ele) ele)
        )
    )
    (entmod ele)
  )
(princ)
)

------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

vision
Mitglied



Sehen Sie sich das Profil von vision an!   Senden Sie eine Private Message an vision  Schreiben Sie einen Gästebucheintrag für vision

Beiträge: 112
Registriert: 27.10.2003

AutoCAD 2015
Expresstools
Windows 10

erstellt am: 05. Apr. 2015 11:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

wenn um die andere Achse gespiegelt werden soll, wass muss dann angepasst werden?
Ich habe schon mit dem Wert 42 ohne Erfolg versucht!

Für Eure Unterstützung bedanken ich mich im Voraus.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9553
Registriert: 01.12.2003

One AutoCAD 2.5 - 2020, Civil 3D, Win10

erstellt am: 05. Apr. 2015 12:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für vision 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von vision:
Hallo, wenn um die andere Achse gespiegelt werden soll, wass muss dann angepasst werden?
Ich habe schon mit dem Wert 42 ohne Erfolg versucht!


Da du nicht zeigst, was du "..schon mit dem Wert 42 ohne Erfolg versucht..." hast, kann ich dir nur mitteilen, dass es prinzipiell so funktioniert (erfolgreich eben getestet).

Code:
(DEFUN c:block_spy ( / ele dx )
  (princ "\n Block zum spiegeln waehlen: ")
  (while
    (if (SETQ ele (CAR (ENTSEL)))
        (SETQ ele (ENTGET ele)
              dx  (* (CDR(ASSOC 42 ele)) -1)
              ele (subst (cons 42 dx) (assoc 42 ele) ele)
        )
    )
    (entmod ele)
  )
(princ)

)

------------------
Mit freundlichem Gruß

Udo Hübner
www.CAD-Huebner.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz